QGIS Application - Bug report #19776
Copy and Move Feature Error on Geopackage
2018-09-05 07:06 PM - Michael Knopp

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.2.2 Regression?: No
Operating System: Windows 7 Enterprise Service Pack 1 Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27601
Description

When | use the Copy and Move Feature tool on a geopackage it does not create new fid numbers for the copied features. The fid numbers
are copied and pasted as the same.

This throws up errors when trying to save.

Commit Errors: (clipped for brevity)

Could not commit changes to layer Commerce Blocks WIP

Errors: ERROR: 13 feature(s) not added.

Provider errors:

OGR error creating feature -68: failed to execute insert : UNIQUE constraint failed: Commerce Blocks WIP.fid

If I manually go into the table and change the fid numbers to unused numbers it will save just fine.

This does not happen with a copy / paste procedure then a move.

Related issues:
Related to QGIS Application - Bug report # 19130: 'Move and Copy' feature of ... Closed 2018-06-07

History

#1 - 2018-09-06 09:05 AM - Jérome Guélat

See also #19130

#2 - 2018-09-06 09:14 AM - Jiirgen Fischer

- Related to Bug report #19130: ‘Move and Copy' feature of vector editor duplicates 'fid' added

#3 - 2018-09-06 11:59 AM - Giovanni Manghi

- Resolution set to duplicate
- Status changed from Open to Closed
